## mx-datetime 0.19.9.03

=== debian/changelog ===
mx-datetime (0.19.9.03) mx; urgency=medium

  * Trim some padding when run in non-root mode.
  * Changed name "Date and Time" to "Date & Time"

 -- Adrian <adrian@mxlinux.org>  Thu, 05 Sep 2019 15:02:24 -0400

mx-datetime (0.19.9.02) mx; urgency=medium

  * Hardware Clock no longer read at startup or reload.
  * Hide the buttons at the bottom in non-root mode.
  * Fixed: apparently missing time zones on systemd.
  * Improved detection of the init system.
  * Fixed truncated tool tip string.

 -- Adrian <adrian@mxlinux.org>  Thu, 05 Sep 2019 12:34:46 -0400

mx-datetime (0.19.9.01) mx; urgency=medium

  * Changed tab order.
  * Fixed: half the world was seemingly missing from the time zone list. 
  * Also potentially improved GUI startup feedback.
  * Icon update.
  * Icon darker clock face.
  * Icon update. Also cleaned the SVG file a bit.

 -- Adrian <adrian@mxlinux.org>  Wed, 04 Sep 2019 12:50:54 -0400

mx-datetime (0.19.9) mx; urgency=medium

  * Operate with reduced functionality if not running as root. Fixed setClockLock() deadlock condition.
  * GUI control size adjustments.
  * Split time zone combo box into two. Also some GUI tweaks along the way.
  * NTP Server table columns reordered. Validate before syncing or saving.
  * The NTP GUI now works.
  * Revamped the NTP GUI.
  * GUI rework. Separated RTC and NTP tabs. Replaced references to RTC with Hardware Clock.
  * Set the calendar font so it doesn't look fat.
  * Icon update.

 -- Adrian <adrian@mxlinux.org>  Tue, 03 Sep 2019 14:57:14 -0400

mx-datetime (0.19.8) mx; urgency=medium

  * initial release

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Aug 2019 01:46:35 -0400

## mx-datetime 0.19.9.06

=== debian/changelog ===
mx-datetime (0.19.9.06) mx; urgency=medium

  *  UI changes
  *  convert to multiple inheritance arch
  *  fix keyboard selection reset

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 07 Sep 2019 12:23:08 -0400

mx-datetime (0.19.9.05) mx; urgency=medium

  * Fixed resource leaks and improved drift calculation.
  * Curtail the jump at the start. 
  * Bypass execution of init system and NTP code on non-root startup.

 -- Adrian <adrian@mxlinux.org>  Fri, 06 Sep 2019 08:42:47 -0400

mx-datetime (0.19.9.04) mx; urgency=medium

  * Don't bother reading NTP settings if not root.
  * Moved escaping out of a translated string. Removed an unused variable.
  * Fixed: incorrectly displayed "Date & Time" in the tab.
  * Fix string quoting

 -- Adrian <adrian@mxlinux.org>  Thu, 05 Sep 2019 23:10:23 -0400

## mx-datetime 19.9

=== debian/changelog ===
mx-datetime (19.9) mx; urgency=medium

  * Finished remaining translated strings.
  * Fixed time transfer (Hardware to System) command.
  * GUI feedback improvements.

 -- Adrian <adrian@mxlinux.org>  Wed, 11 Sep 2019 11:40:56 -0400

mx-datetime (0.19.9.07) mx; urgency=medium

  * Embed timer object into MXDateTime class instead of using a pointer.
  * Calendar and clock control bug fixes.

 -- Adrian <adrian@mxlinux.org>  Mon, 09 Sep 2019 13:03:01 -0400

## mx-datetime 19.9.1

=== debian/changelog ===
mx-datetime (19.9.1) mx; urgency=medium
  
  * Added Help file
  * No selecting buttons on the Hardware Clock and Network tabs by default.
  * Added Drift Update check box.

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Sep 2019 17:18:45 -0400

## mx-datetime 19.9.2

=== debian/changelog ===
mx-datetime (19.9.2) mx; urgency=medium

  * Updated translations

 -- Adrian <adrian@mxlinux.org>  Tue, 24 Sep 2019 09:18:59 -0400

## mx-datetime 25.11mx23

=== CMakeLists.txt ===
# **********************************************************************
# * Copyright (C) 2019-2025 MX Authors
# *
# * Authors: AK-47, Adrian
# *          MX Linux <http://mxlinux.org>
# *
# * This file is part of mx-datetime.
# *
# * mx-datetime is free software: you can redistribute it and/or modify
# * it under the terms of the Apache License, Version 2.0 (the "License");
# * you may not use this file except in compliance with the License.
# * You may obtain a copy of the License at
# *
# *     http://www.apache.org/licenses/LICENSE-2.0
# *
# * Unless required by applicable law or agreed to in writing, software
# * distributed under the License is distributed on an "AS IS" BASIS,
# * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# * See the License for the specific language governing permissions and
# * limitations under the License.
# **********************************************************************/

cmake_minimum_required(VERSION 3.25 FATAL_ERROR)
include(build.cmake)

project(mx-datetime
	VERSION 3.0
	DESCRIPTION "MX Date & Time - Date and time configuration tool for MX Linux"
	LANGUAGES CXX
)

find_package(Qt6 6.4 REQUIRED COMPONENTS Core Gui Widgets LinguistTools)

set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(CMAKE_CXX_STANDARD 20)
#set(CMAKE_CXX_SCAN_FOR_MODULES ON)

qt_standard_project_setup()

qt_add_executable(mx-datetime
	main.cpp
	datetime.cpp datetime.h datetime.ui
	about.cpp about.h
	clockface.cpp clockface.h
	images.qrc
)

#target_sources(mx-tweak PRIVATE FILE_SET CXX_MODULES FILES
#	TODO: add files that are C++20 modules.
#)

target_link_libraries(mx-datetime PRIVATE
	Qt::Core
	Qt::Gui
	Qt::Widgets
)

build_compilation_setup(mx-datetime)
build_version_definition(mx-datetime VERSION)
build_translation_files(mx-datetime translations)

target_compile_definitions(mx-datetime PRIVATE
	QT_DISABLE_DEPRECATED_UP_TO=0x060400
)

include(GNUInstallDirs)
install(TARGETS mx-datetime
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

## mx-datetime 19.10.01

=== debian/changelog ===
mx-datetime (19.10.01) mx; urgency=medium

  * new icon 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 12 Oct 2019 20:03:40 -0400

mx-datetime (19.9.3) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sun, 29 Sep 2019 14:00:58 -0400

=== debian/control ===
Source: mx-datetime
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9.2), 
	qtbase5-dev, 
	qttools5-dev-tools
Standards-Version: 3.9.8

Package: mx-datetime
Architecture: any
Depends: xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MX Date & Time
 Program for changing the date and time settings

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease mx-datetime.pro
	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
	dh_auto_build

# Uncomment if building in Virtual Box
override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

%:
	dh $@ --parallel

## mx-datetime 21.1.01

=== debian/changelog ===
mx-datetime (21.1.01) mx; urgency=medium

  * add ntpdate dependency

 -- Adrian <adrian@mxlinux.org>  Thu, 14 Jan 2021 14:47:55 -0500

mx-datetime (21.1) mx; urgency=medium

  * various fixes

 -- Adrian <adrian@mxlinux.org>  Thu, 14 Jan 2021 08:33:48 -0500

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
 
 Package: mx-datetime
 Architecture: any
-Depends: xdg-utils | mx-viewer,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ntpdate,
+	xdg-utils | mx-viewer,
+        ${misc:Depends},
+        ${shlibs:Depends}
 Description: MX Date & Time
  Program for changing the date and time settings

## mx-datetime 21.3

=== debian/changelog ===
mx-datetime (21.3) mx; urgency=medium

  * add ntpsec-ntpdate alternative dependency

 -- Adrian <adrian@mxlinux.org>  Thu, 11 Mar 2021 20:59:00 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mx-datetime
 Architecture: any
-Depends: ntpdate,
+Depends: ntpdate | ntpsec-ntpdate,
 	xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}

## mx-datetime 21.7

=== debian/changelog ===
mx-datetime (21.7) mx; urgency=medium

  * Fix: read ntpsec/ntp.conf file if available`

 -- Adrian <adrian@mxlinux.org>  Thu, 29 Jul 2021 16:07:00 -0400

## mx-datetime 21.7.1

=== debian/changelog ===
mx-datetime (21.7.1) mx; urgency=medium

  * Improvement: sync from one pool at a time

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Jul 2021 13:21:54 -0400

## mx-datetime 21.9

=== debian/changelog ===
mx-datetime (21.9) mx; urgency=medium

  * Fixed: wrong NTP configuration file updated for ntpsec.
  * Use ntpdig if it exists.

 -- Adrian <adrian@mxlinux.org>  Thu, 02 Sep 2021 08:43:13 -0400

## mx-datetime 21.11

=== debian/changelog ===
mx-datetime (21.11) mx; urgency=medium

  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Fri, 12 Nov 2021 12:02:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9.2), 
+Build-Depends: debhelper (>=10), 
 	qtbase5-dev, 
 	qttools5-dev-tools
 Standards-Version: 3.9.8

## mx-datetime 22.6

=== debian/changelog ===
mx-datetime (22.6) mx; urgency=medium

  * Preserve user theme when launching program as root
  * Make sure HOME and XDG_RUNTIME_DIR are correct when launching as root

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jun 2022 17:28:58 -0400

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
 
 %:
-	dh $@ --parallel 
+	dh $@ --no-automatic-dbgsym --parallel

## mx-datetime 22.6.01

=== debian/changelog ===
mx-datetime (22.6.01) mx; urgency=medium

  * Improve time adjustment: use -S step option for dtpdig and use as steplimit of 500ms for time slewing

 -- Adrian <adrian@mxlinux.org>  Fri, 17 Jun 2022 12:48:05 -0400

## mx-datetime 22.7

=== debian/changelog ===
mx-datetime (22.7) mx; urgency=medium

  * translation referesh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:24:38 -0400

## mx-datetime 22.8

=== debian/changelog ===
mx-datetime (22.8) mx; urgency=medium

  * Fix: launching Firefox from Help

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Aug 2022 21:50:22 -0400

## mx-datetime 22.8.01

=== debian/changelog ===
mx-datetime (22.8.01) mx; urgency=medium

  * Fix: launching documents from Help (fixes a problem in Plasma) 

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 21:42:18 -0400

## mx-datetime 22.10.01

=== debian/changelog ===
mx-datetime (22.10.01) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 19:59:19 -0400

## mx-datetime 23.2

=== debian/changelog ===
mx-datetime (23.2) mx; urgency=medium

  * Oass DISPLAY variable in launcher script 
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 18 Feb 2023 13:42:27 -0500

## mx-datetime 23.4

=== debian/changelog ===
mx-datetime (23.4) mx; urgency=medium

  * Adjust check for autosync ntp daemon -- fix for systemd

 -- Adrian <adrian@mxlinux.org>  Tue, 04 Apr 2023 23:31:02 -0400

## mx-datetime 23.4.01

=== debian/changelog ===
mx-datetime (23.4.01) mx; urgency=medium

  * Update icon

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Apr 2023 23:26:45 -0400

## mx-datetime 23.5

=== debian/changelog ===
mx-datetime (23.5) mx; urgency=medium

  * Temporary fix for time being incorrect on Qt6.
  * Fixed duplicate time zones. Found while porting to Qt6.
  * Eliminate Qt4 test. MX Linux has Qt6 now.
  * Allow building with qmake6.
  * Eliminate Qt APIs deprecated before 5.15
  * Update icon
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 May 2023 22:11:21 -0400

## mx-datetime 23.5.01

=== debian/changelog ===
mx-datetime (23.5.01) mx; urgency=medium

  * Update logo

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 18:54:12 -0400

## mx-datetime 23.7

=== debian/changelog ===
mx-datetime (23.7) mx; urgency=medium

  * Use standard icons for list buttons.
  * Fixed NTPsec service setup.
  * Retire support for ntp. 

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Jul 2023 21:08:55 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 Package: mx-datetime
 Architecture: any
-Depends: ntpdate | ntpsec-ntpdate,
+Depends: ntpsec,
+	ntpsec-ntpdig | ntpsec-ntpdate,
 	xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}

## mx-datetime 23.7.01mx23

=== debian/changelog ===
mx-datetime (23.7.01mx23) mx; urgency=medium

  * Move from NTPsec to Chrony, fixes stability issues noticed with NTP sync and config.
  * Add default time sources (mx-datetime.sources).
  * Fixed: time edit box is not big enough to show the time.
  * Font tweaks, rely on the system font size.
  * Use monospace fonts for the calendar and time zone/area combo boxes.

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 11:05:18 -0400

## mx-datetime 23.7.03mx23

=== debian/changelog ===
mx-datetime (23.7.03mx23) mx; urgency=medium

  * update postinst routine to correct bad sources in 23.07.01mx23 version

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 29 Jul 2023 14:22:45 -0400

mx-datetime (23.7.02mx23) mx; urgency=emergency

  * Eliminate de-duplication to identify duplicate sources.
  * No more default sources file, stick with upstream defaults.
  * More info: https://bugs.launchpad.net/ubuntu/+source/chrony/+bug/1754358

 -- Adrian <adrian@mxlinux.org>  Sat, 22 Jul 2023 22:28:51 -0400

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
 
 Package: mx-datetime
 Architecture: any
-Depends: ntpsec,
-	ntpsec-ntpdig | ntpsec-ntpdate,
+Depends: chrony,
 	xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}

## mx-datetime 23.7.04mx23

=== debian/changelog ===
mx-datetime (23.7.04mx23) mx; urgency=medium

  * Fixed: hardware clock time zone set twice on systemd.
  * Code optimisation
  * Packaging improvements
  * Updated help. 

 -- Adrian <adrian@mxlinux.org>  Sun, 30 Jul 2023 10:13:57 -0400

mx-datetime (23.7.03mx23) mx; urgency=emergency

  * update postinst routine to correct bad sources in 23.07.01mx23 version

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 29 Jul 2023 14:22:45 -0400

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
 
 %:
-	dh $@ --no-automatic-dbgsym --parallel 
+	dh $@ --no-automatic-dbgsym

## mx-datetime 23.11.01mx23

=== debian/changelog ===
mx-datetime (23.11.01mx23) mx; urgency=medium

  * Fix: set correct ownership and rights .sources and .conf files

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Nov 2023 13:11:15 -0500

mx-datetime (23.11mx23) mx; urgency=medium

  * Run as normal user and elevate commands when needed

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Nov 2023 22:01:11 -0500

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease mx-datetime.pro
+	lrelease translations/*.ts
 	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build

## mx-datetime 24.3mx23

=== debian/changelog ===
mx-datetime (24.3mx23) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:37:58 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=10), 
+Build-Depends: debhelper-compat (=12),
 	qtbase5-dev, 
 	qttools5-dev-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 
 Package: mx-datetime
 Architecture: any

## mx-datetime 24.4mx23

=== debian/changelog ===
mx-datetime (24.4mx23) mx; urgency=medium

  * Fix: Allow timezone selection within same localtime
  * Fix: Always sync /etc/timezone with /etc/localtime

 -- fehlix <fehlix@mxlinux.org>  Sun, 07 Apr 2024 19:44:40 -0400

## mx-datetime 25.4mx23

=== debian/changelog ===
mx-datetime (25.4mx23) mx; urgency=medium

  * Update to Qt6
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Apr 2025 22:39:38 -0400

=== debian/control ===
Source: mx-datetime
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (=12), qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
Standards-Version: 4.4.0

Package: mx-datetime
Architecture: any
Depends: chrony,
	util-linux-extra,
	xdg-utils | mx-viewer,
        ${misc:Depends},
        ${shlibs:Depends}
Description: MX Date & Time
 Program for changing the date and time settings

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=6

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake6 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_configure:
	qmake6

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	/usr/lib/qt6/bin/lrelease translations/*.ts
	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --no-automatic-dbgsym --parallel

## mx-datetime 25.11mx23

=== debian/changelog ===
mx-datetime (25.11mx23) mx; urgency=medium

  * Improve systemd detection
  * Use timedatectl to detect and set UTC/localtime

 -- Adrian <adrian@mxlinux.org>  Mon, 03 Nov 2025 13:50:37 -0500

=== debian/control ===
Source: mx-datetime
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.25),
               ninja-build (>= 1.10),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.4.0
Vcs-Git: git://github.com/MX-Linux/mx-datetime
Homepage: https://github.com/MX-Linux/mx-datetime

Package: mx-datetime
Architecture: any
Depends: chrony,
         util-linux-extra,
         xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Date and time configuration tool for MX Linux
 MX Date & Time is a graphical utility that allows users to easily
 configure system date, time, and timezone settings. It provides
 a simple interface for synchronizing with time servers using chrony
 and managing date/time preferences without requiring command line
 knowledge.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	cmake --preset default

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_build:
	cmake --build --preset default

override_dh_auto_test:
	# Skip tests as no test targets are defined

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/mx-datetime ninja -C _build_ install

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --buildsystem=cmake+ninja --no-automatic-dbgsym
